<?php
session_start();
require '../../conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['lenhar'])) {
    $item = $_POST['item']; // item a treinar.. atk/ def
     
$personagem = $_SESSION['personagem'];
$treinando = "pegando madeira";

$paralisado = date('Y-m-d H:i:s', strtotime('+1 minutes'));
$madeira = $_SESSION['madeira'];
$soldados = $_SESSION['soldados'];

if ($madeira >= $soldados) {
$_SESSION['msg'] = "Você não pode pegar mais madeira, por não ter mais soldados, pra carrega-las. Cada homem pode carregar até 1 tábua de madeira.";
header("Location: ../../dashboardmed.php");
    exit; 
}


 $novo_local = $alvo['nome'];
    $fome = $_SESSION['fome'];
    $sede = $_SESSION['sede'];
    
    
    if ($fome <= 30) {
$_SESSION['msg'] = "Seus homens não podem pegar madeira com tanta fome, compre alimentos nas cidades, ou alimente-os de outras formas, urgente.";
header("Location: ../../dashboardmed.php");
    exit; 
}
if ($sede <= 30) {
$_SESSION['msg'] = "Seus homens não podem pegar madeira com tanta sede, leve-os para beber água urgente.";
header("Location: ../../dashboardmed.php");
    exit; 
}
     $fome = max(0, $fome - 2); 
$sede = max(0, $sede - 3);

        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :treinando, paralisado = :paralisado, fome = :fome, sede = :sede WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    
$stmt->bindParam(':treinando', $treinando, PDO::PARAM_STR);
    $stmt->bindParam(':paralisado', $paralisado, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
    $stmt->bindParam(':fome', $fome, PDO::PARAM_STR);
 $stmt->bindParam(':sede', $sede, PDO::PARAM_STR);
    
    if ($stmt->execute()) {
    $_SESSION['msg'] = "Você e seus soldados, iniciaram a busca por madeiras.";
    header("Location: ../../dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>